[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TCollection.AtPut

Set collection item, overwriting an existing value.

## Declaration

Source position: objects.pp line 420

`procedure TCollection.AtPut(`
`Index: Sw_Integer;`
`Item: Pointer`
`);`

## Description

AtPut sets the element at position Index in the collection to Item. Any previous value is overwritten.

For an example, see Pack.

## Errors

If Index isn't valid then Error is called with CoIndexError.

Documentation generated on: Feb 26 2014